<%@page import="com.sas.fsd.shared.util.StringUtil"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil"%>
<%@page import="com.sas.solutions.casemgmt.web.search.AbstractSearchAction"%>
<%@page import="com.sas.solutions.casemgmt.web.search.SearchModel"%>
<%@page import="com.sas.solutions.casemgmt.web.search.SearchForm"%>

<input type='hidden' id='selectedResults' name='selectedResults' />
<div id='searchGrid'></div>

<script type='text/javascript'>
require(['sas-ecm/search/SearchGrid',  'sas-cpb/cpb', 'sas-cpb/datagrid/CPBDataGrid', 'dojo/store/Memory', 'dojo/on', 'dojo/ready'],
   function(SearchGrid, cpb, CPBDataGrid, Memory, on, ready) {
   ready(function() {
      
      <%String searchFormName = (String)request.getAttribute(AbstractSearchAction.ATTRIBUTE_FORM_NAME);
         SearchForm searchForm = (SearchForm)session.getAttribute(searchFormName);
         SearchModel model = searchForm.getSearchModel();
         String firstColRenderCell = model.getFirstColumnRenderCell();%>
      
      var columns = <%=model.getColumnsAsJson()%>;
      var url = 'controller/entitySearch/' + Search.FORM_NAME + '.json';
      var doSearch = <%=searchForm.getPerformSearch()%>;
      var store = doSearch ? CPBDataGrid.createStore('searchGrid', url, true) : new Memory({ data: [] });
       
      SearchGrid.create(<%=firstColRenderCell%>, columns, 'searchGrid', {
         id: 'searchGrid',
         columns: columns,
         store: store,
         rowsPerPage: <%=WebUtil.getPageSize()%>
      }).startup();
      on(searchGrid, ".dgrid-row .dgrid-cell:click, .dgrid-row .dgrid-cell:dblclick", function(evt) {
         cpb.consoleLog("searchGrid: " + evt.type + " - target: " + evt.target);
         if (evt.target.tagName === 'A') {
             if (evt.type === 'click') {
                 var link = evt.target;
                 if (link.classList.contains('disabled')) {
                     cpb.consoleLog("searchGrid - prevented second click");
                     evt.stopPropagation();
                     evt.preventDefault();
                 }
                 link.classList.add('disabled');
                 setTimeout(function () {
                     link.classList.remove('disabled');
                 }, 1000);
             }
             else if (evt.type === 'dblclick') {
                 cpb.consoleLog("searchGrid - prevented dblclick");
                 evt.stopPropagation();
                 evt.preventDefault();
             }
         }
      });
   });
});
</script>
